Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Bluefish is a powerful editor for experienced web designers and programmers
Name:      	bluefish
Version:   	1.0.6
Release:   	1
License: 	GNU/GPL
URL:		http://bluefish.openoffice.nl/
Group:     	Development/Other
Source0: 	bluefish-%{version}.tar.bz2
Source1:	%{name}-doc-html-chunked-1.0.tar.bz2
Source2:	%{name}-doc-pdf-a4-1.0.tar.bz2
Source3:	%{name}-doc-ps-a4-1.0.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	gnome-vfs-devel

%description
Bluefish is a powerful editor for experienced web designers and programmers.
Bluefish supports many programming and markup languages, but it focuses on
editing dynamic and interactive websites. 

%package doc-html
Summary: 	Documents in HTML for %{name}.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description doc-html
Documents in HTML for Bluefish.

%package doc-pdf
Summary: 	Documents in PDF (A4) for %{name}.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description doc-pdf
Documents in PDF (A4) for Bluefish.

%package doc-ps
Summary: 	Documents in PostScript (A4) for %{name}.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description doc-ps
Documents in PostScript (A4) for Bluefish.

%prep
%setup -n bluefish-%{version}
tar xvfj %{SOURCE1}
tar xvfj %{SOURCE2}
tar xvfj %{SOURCE3}

%build
./configure --prefix=%_prefix --mandir=%_mandir --disable-debug --disable-update-databases
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/{HTML,PDF,PS}
cp -r bluefish-doc-html-chunked-1.0/* $RPM_BUILD_ROOT%_datadir/doc/HTML
cp -r bluefish*.pdf $RPM_BUILD_ROOT%_datadir/doc/PDF
cp -r bluefish*.ps $RPM_BUILD_ROOT%_datadir/doc/PS

%files
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/bluefish
%_datadir/locale
%_datadir/mime
#%_datadir/mime-info
%_datadir/pixmaps
%_mandir/man1/bluefish.1.gz

%files doc-html
%defattr(-,root,root)
%_datadir/doc/HTML

%files doc-pdf
%defattr(-,root,root)
%_datadir/doc/PDF

%files doc-ps
%defattr(-,root,root)
%_datadir/doc/PS

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.6-1
- Version update
* Mon Feb 06 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.5-1
- Version update
* Mon Aug 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Version update
* Sun Aug 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Version update
* Wed Jul 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.2-1
- Version update to 1.0.2, added documents (HTML, PDF, PS)
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version update to 1.0.1
* Fri Jan 14 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Initial Release